Fulfil

This API endpoint allows the calling application to record within AIR a fulfil (Partial Settle) transaction. Request attribute basket should contain list of items to be fulfilled with attribute salesKey as FULFIL. A new wallet transaction will be created and linked to original transaction and the status of the original transaction will be updated. If Request attribute finalise is set to true, any product level offers not yet fulfilled will be unlocked, qualifying basket level offers will be applied and the status of the original transaction will be updated. Any subsequent fulfil requests after this transaction will be errored.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON Payload

originalTransaction
object
required
string
required

Fulfil Transaction Reference

basket
object
location
object
meta
object | null

Key-Value object, please note key name length should be less then 255 characters and key values should be less then 255 characters

transactionDetails
object | null

Key-Value object that will appear in the transaction details of any account transaction created as part of this request.
Please note: In case the same key is defined in the property accountTransactionDetails on unit config, the Unit accountTransactionDetails will overwrite the value of the same key defined on this entry.
Key Name and Value length should be less then 255.

boolean | null

If this optional attribute is set to true, the original Transaction will be settled by re-adjudicating the delta-basket and applying basket level offers.

walletTransactions
array of objects

This optional Request attribute allows the calling application to instruct EES AIR to complete the stated operation against a previously created wallet transaction.

walletTransactions
Headers
string
enum
Defaults to ''

This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the Content-Encoding Response header. Currently supported gzip and deflate. Please note if this request header is not present, no compression will be used.

Allowed:
string
enum
Defaults to close

This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is keep-alive, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).

Allowed:
string
Defaults to application/json

Standard HTTP header to inform EES API what type of content was passed in request payload

string
required

Client ID, provided by EES during on-boarding. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string
required

Request Authentication Hash, calculated by concatenating Request URI Path with API prefix, Request Query String(s) if applicable, Request Payload if applicable and Client Secret. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string

Optional Unique Reference for the API Request (Transaction) within the calling company

string

Optional header provided by the calling application for EES AIR to identify what was the external Subsystem ID / Name. Please note this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

string

Optional header(s) provided by the calling application to EES AIR. Please note a) this header name has to follow pattern X-CUSTOM-* (i.e. X-CUSTOM-EMAIL) b) this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

string
enum

Optional HTTP header, if present, it will instruct EES AIR to override the real HTTP Method, used during this connection. This is due to some networking or software limitations on Client side, allowing the calling application to perform only GET or POST calls.

Allowed:
string

The ability to specify the date and time that should be used to adjudicate. This can be used to create transactions for past events, whilst ensuring the consumer receives the rewards that they were eligible for at that time. This functionality is only available for events less than 6 months in the past. Please note requested transaction date-time has to use ATOM Date-Time format Y-m-d\TH:i:sP, (e.g. 2017-12-31T23:59:59+09:00).

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json